\begin{frame}%
    \frametitle{Omero\hfill\raisebox{-1ex}{\includegraphics[width=.2\textwidth]{ome_logo.png}}}%
    \begin{block}{}%
        \begin{itemize}
            \item Opensource development driven by Dundee University \& partners
            \item Commercial distribution \& support: Glencoe Software Inc.
            \item Power users include
                \begin{itemize}
                    \item Rockefeller University Press - Journal of Cell Biology
                    \item American Society of Cell Biology
                    \item Harvard Medical School
                    \item National Phenotypic Screening Centre
                    \item Maastricht University
                \end{itemize}
        \end{itemize}
    \end{block}%
    \begin{center}
    \end{center}
\end{frame}%
%
